Subject: [PATCH 00/13] SPEAr: Move to common clock framework

From: [email-masked] (Viresh Kumar)
Date: Thu, 19 Apr 2012 14:46:58 +0530

On 4/19/2012 2:27 PM, Arnd Bergmann wrote:
> My preference would be to have the whole series go through your tree
> and move the implementation of the spear clock code to drivers/clk
> in the process. This will reduce interdependencies between the spear
> clock branch and other branches that have spear patches.

Atleast for now, SPEAr clock patches have dependency on earlier SPEAr patches
for which i have already sent you pull request.

So, this time atleast, these may go through your tree only.

You are talking about moving all clk files to drivers/clk or part of them
(plat/clk-*.c or mach/clock.c)

Also, i don't know what's the best way, but arch/arm/*spear* looks to be the
better place for SPEAr clock stuff. As it shares lot of registers/macros
with non-clock stuff. If we keep them in drivers/clk we have to include
<mach/...> files.

-- 
viresh